Bug 903465 - (CVE-2013-0222) CVE-2013-0222 coreutils: segfault in uniq with long line input
CVE-2013-0222 coreutils: segfault in uniq with long line input
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20121231,reported=2...
: Security
Depends On: 903468 1015019
Blocks: 974906
  Show dependency treegraph
 
Reported: 2013-01-23 22:49 EST by Vincent Danen
Modified: 2015-03-06 04:08 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-05 08:02:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-01-23 22:49:52 EST
It was reported [1] that the uniq command suffered from a segfault when processing input streams that contained extremely long strings.  This flaw is due to the inclusion of the coreutils-i18n.patch.

SUSE has fixed this by fixing the patch.  The changes can be seen here [2].  (There is probably e better place to get the patch, but I don't know where).

[1] https://bugzilla.novell.com/show_bug.cgi?id=796243
[2] https://build.opensuse.org/request/show/149348#diff_headline_coreutils-i18n-patch_diff_action_0_submit_0_19


Statement:

(none)
Comment 1 Vincent Danen 2013-01-23 22:54:38 EST
Created coreutils tracking bugs for this issue

Affects: fedora-all [bug 903468]
Comment 2 Ondrej Vasik 2013-01-24 10:59:04 EST
Thanks Vincent, but fedora-all is not really true, I already fixed the issue in Rawhide...
coreutils-8.20-6.fc19
- fix multiple segmantation faults in i18n patch (by SUSE) (#869442, #902917)

Should I just close the bugzillas reported by you as duplicates of #902917/#869442 ?

Btw. all RHELs are affected as well, they use the vulnerable alloca constructs as well...
Comment 3 Vincent Danen 2013-01-29 18:30:39 EST
Well, we're not as concerned with Rawhide as we are with released versions.  So unless it's fixed in Fedora 17 and 18, the fedora-all tracker should remain open.  Once they are fixed there, feel free to close it via the regular process.

For RHEL, we know they are affected.  See #c0's statement regarding how we are deferring the fix (low-impact flaw).
Comment 4 Fedora Update System 2013-02-01 11:28:13 EST
coreutils-8.17-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 errata-xmlrpc 2013-11-21 15:59:14 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1652 https://rhn.redhat.com/errata/RHSA-2013-1652.html

Note You need to log in before you can comment on or make changes to this bug.